unit loadandsave;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Dialogs;

type
  TArrayData = array of TPoint;

procedure SavePolygon(const AFilename: string; const aArray: array of TPoint);
procedure LoadPolygon(const AFilename: string; var AArrayData: TArrayData);

implementation

procedure SavePolygon(const AFilename: string;const aArray: array of TPoint);
 var FStream: TFileStream;
     lv,i   : Integer;
begin
  i := High(aArray);
  FStream := TFileStream.Create(AFilename, fmCreate);
  try
    FStream.Write(i,SizeOf (i));
    for lv := 0 to i do
      FStream.Write(aArray[lv], SizeOf(aArray[lv]));
  finally
    FStream.Free;
  end;
end;

procedure LoadPolygon(const AFilename: string;var AArrayData: TArrayData);
 var FStream: TFileStream;
     lv,i   : Integer;
begin
  FStream := TFileStream.Create(AFilename, fmOpenRead);
   try
     FStream.Read(i, SizeOf(i));
     setlength(AArrayData,i+1);
     for lv := 0 to (High(AArrayData)) do
       FStream.Read(AArrayData[lv], SizeOf(AArrayData[lv]));
   finally
     FStream.Free;
   end;
end;



end.

